curl --request POST 'https://api.mayar.id/credit/v1/credit/credit-usage/customer/regist' \
--header 'Authorization: Bearer Paste-Your-API-Key-Here' \
--header 'Content-Type: application/json' \
--data-raw '{
"productId": "43eadce2-bc52-4e38-a832-93fb835f2a69",
"trialCredit": 300, //optional
"customerInfo": {
"name" : "john doe",
"email" : "johndoe@gmail.com",
"mobile" : "08777777777"
}
}'
{
"statusCode": 200,
"message": "success",
"data": {
"customerId": "bcf56452-ec21-4791-aca2-7a41b033e9d2",
"paymentLinkId": "43eadce2-bc52-4e38-a832-93fb835f2a69"
}
}
Credit Based Product
Regist New Customer
This endpoint is used to register new customers into the membership credit product.
Was this page helpful?
